Get vol
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/GetVol \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"surface": {
"benchmark_fwd_factors": [
1.4658129805029452,
1.4658129805029452
],
"smiles": [
9.301444243932576,
9.301444243932576
],
"benchmark_maturities": [
5,
5
],
"vols": [
2.027123023002322,
2.027123023002322
],
"call_wings": [
5.637376656633329,
5.637376656633329
],
"reference_date": "2000-01-23T04:56:07.000+00:00",
"spot_ref": 3.616076749251911,
"put_wings": [
2.3021358869347655,
2.3021358869347655
],
"skews": [
7.061401241503109,
7.061401241503109
]
},
"maturity": 4,
"strikes": [
6.027456183070403,
6.027456183070403
],
"strike_type": 0
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/GetVol"
payload = {
"surface": {
"benchmark_fwd_factors": [1.4658129805029452, 1.4658129805029452],
"smiles": [9.301444243932576, 9.301444243932576],
"benchmark_maturities": [5, 5],
"vols": [2.027123023002322, 2.027123023002322],
"call_wings": [5.637376656633329, 5.637376656633329],
"reference_date": "2000-01-23T04:56:07.000+00:00",
"spot_ref": 3.616076749251911,
"put_wings": [2.3021358869347655, 2.3021358869347655],
"skews": [7.061401241503109, 7.061401241503109]
},
"maturity": 4,
"strikes": [6.027456183070403, 6.027456183070403],
"strike_type": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
surface: {
benchmark_fwd_factors: [1.4658129805029452, 1.4658129805029452],
smiles: [9.301444243932576, 9.301444243932576],
benchmark_maturities: [5, 5],
vols: [2.027123023002322, 2.027123023002322],
call_wings: [5.637376656633329, 5.637376656633329],
reference_date: '2000-01-23T04:56:07.000+00:00',
spot_ref: 3.616076749251911,
put_wings: [2.3021358869347655, 2.3021358869347655],
skews: [7.061401241503109, 7.061401241503109]
},
maturity: 4,
strikes: [6.027456183070403, 6.027456183070403],
strike_type: 0
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/GetVol', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/GetVol",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'surface' => [
'benchmark_fwd_factors' => [
1.4658129805029452,
1.4658129805029452
],
'smiles' => [
9.301444243932576,
9.301444243932576
],
'benchmark_maturities' => [
5,
5
],
'vols' => [
2.027123023002322,
2.027123023002322
],
'call_wings' => [
5.637376656633329,
5.637376656633329
],
'reference_date' => '2000-01-23T04:56:07.000+00:00',
'spot_ref' => 3.616076749251911,
'put_wings' => [
2.3021358869347655,
2.3021358869347655
],
'skews' => [
7.061401241503109,
7.061401241503109
]
],
'maturity' => 4,
'strikes' => [
6.027456183070403,
6.027456183070403
],
'strike_type' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/GetVol"
payload := strings.NewReader("{\n \"surface\": {\n \"benchmark_fwd_factors\": [\n 1.4658129805029452,\n 1.4658129805029452\n ],\n \"smiles\": [\n 9.301444243932576,\n 9.301444243932576\n ],\n \"benchmark_maturities\": [\n 5,\n 5\n ],\n \"vols\": [\n 2.027123023002322,\n 2.027123023002322\n ],\n \"call_wings\": [\n 5.637376656633329,\n 5.637376656633329\n ],\n \"reference_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_ref\": 3.616076749251911,\n \"put_wings\": [\n 2.3021358869347655,\n 2.3021358869347655\n ],\n \"skews\": [\n 7.061401241503109,\n 7.061401241503109\n ]\n },\n \"maturity\": 4,\n \"strikes\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"strike_type\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/GetVol")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"surface\": {\n \"benchmark_fwd_factors\": [\n 1.4658129805029452,\n 1.4658129805029452\n ],\n \"smiles\": [\n 9.301444243932576,\n 9.301444243932576\n ],\n \"benchmark_maturities\": [\n 5,\n 5\n ],\n \"vols\": [\n 2.027123023002322,\n 2.027123023002322\n ],\n \"call_wings\": [\n 5.637376656633329,\n 5.637376656633329\n ],\n \"reference_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_ref\": 3.616076749251911,\n \"put_wings\": [\n 2.3021358869347655,\n 2.3021358869347655\n ],\n \"skews\": [\n 7.061401241503109,\n 7.061401241503109\n ]\n },\n \"maturity\": 4,\n \"strikes\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"strike_type\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/GetVol")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"surface\": {\n \"benchmark_fwd_factors\": [\n 1.4658129805029452,\n 1.4658129805029452\n ],\n \"smiles\": [\n 9.301444243932576,\n 9.301444243932576\n ],\n \"benchmark_maturities\": [\n 5,\n 5\n ],\n \"vols\": [\n 2.027123023002322,\n 2.027123023002322\n ],\n \"call_wings\": [\n 5.637376656633329,\n 5.637376656633329\n ],\n \"reference_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_ref\": 3.616076749251911,\n \"put_wings\": [\n 2.3021358869347655,\n 2.3021358869347655\n ],\n \"skews\": [\n 7.061401241503109,\n 7.061401241503109\n ]\n },\n \"maturity\": 4,\n \"strikes\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"strike_type\": 0\n}"
response = http.request(request)
puts response.read_body{
"vols": [
6.027456183070403,
6.027456183070403
],
"strike_type": 0
}Get vol
POST
/
api
/
Tradable
/
GetVol
Get vol
curl --request POST \
--url https://api.riskportal.activeviam.com/api/Tradable/GetVol \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"surface": {
"benchmark_fwd_factors": [
1.4658129805029452,
1.4658129805029452
],
"smiles": [
9.301444243932576,
9.301444243932576
],
"benchmark_maturities": [
5,
5
],
"vols": [
2.027123023002322,
2.027123023002322
],
"call_wings": [
5.637376656633329,
5.637376656633329
],
"reference_date": "2000-01-23T04:56:07.000+00:00",
"spot_ref": 3.616076749251911,
"put_wings": [
2.3021358869347655,
2.3021358869347655
],
"skews": [
7.061401241503109,
7.061401241503109
]
},
"maturity": 4,
"strikes": [
6.027456183070403,
6.027456183070403
],
"strike_type": 0
}
'import requests
url = "https://api.riskportal.activeviam.com/api/Tradable/GetVol"
payload = {
"surface": {
"benchmark_fwd_factors": [1.4658129805029452, 1.4658129805029452],
"smiles": [9.301444243932576, 9.301444243932576],
"benchmark_maturities": [5, 5],
"vols": [2.027123023002322, 2.027123023002322],
"call_wings": [5.637376656633329, 5.637376656633329],
"reference_date": "2000-01-23T04:56:07.000+00:00",
"spot_ref": 3.616076749251911,
"put_wings": [2.3021358869347655, 2.3021358869347655],
"skews": [7.061401241503109, 7.061401241503109]
},
"maturity": 4,
"strikes": [6.027456183070403, 6.027456183070403],
"strike_type": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
surface: {
benchmark_fwd_factors: [1.4658129805029452, 1.4658129805029452],
smiles: [9.301444243932576, 9.301444243932576],
benchmark_maturities: [5, 5],
vols: [2.027123023002322, 2.027123023002322],
call_wings: [5.637376656633329, 5.637376656633329],
reference_date: '2000-01-23T04:56:07.000+00:00',
spot_ref: 3.616076749251911,
put_wings: [2.3021358869347655, 2.3021358869347655],
skews: [7.061401241503109, 7.061401241503109]
},
maturity: 4,
strikes: [6.027456183070403, 6.027456183070403],
strike_type: 0
})
};
fetch('https://api.riskportal.activeviam.com/api/Tradable/GetVol', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/Tradable/GetVol",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'surface' => [
'benchmark_fwd_factors' => [
1.4658129805029452,
1.4658129805029452
],
'smiles' => [
9.301444243932576,
9.301444243932576
],
'benchmark_maturities' => [
5,
5
],
'vols' => [
2.027123023002322,
2.027123023002322
],
'call_wings' => [
5.637376656633329,
5.637376656633329
],
'reference_date' => '2000-01-23T04:56:07.000+00:00',
'spot_ref' => 3.616076749251911,
'put_wings' => [
2.3021358869347655,
2.3021358869347655
],
'skews' => [
7.061401241503109,
7.061401241503109
]
],
'maturity' => 4,
'strikes' => [
6.027456183070403,
6.027456183070403
],
'strike_type' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/Tradable/GetVol"
payload := strings.NewReader("{\n \"surface\": {\n \"benchmark_fwd_factors\": [\n 1.4658129805029452,\n 1.4658129805029452\n ],\n \"smiles\": [\n 9.301444243932576,\n 9.301444243932576\n ],\n \"benchmark_maturities\": [\n 5,\n 5\n ],\n \"vols\": [\n 2.027123023002322,\n 2.027123023002322\n ],\n \"call_wings\": [\n 5.637376656633329,\n 5.637376656633329\n ],\n \"reference_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_ref\": 3.616076749251911,\n \"put_wings\": [\n 2.3021358869347655,\n 2.3021358869347655\n ],\n \"skews\": [\n 7.061401241503109,\n 7.061401241503109\n ]\n },\n \"maturity\": 4,\n \"strikes\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"strike_type\": 0\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/Tradable/GetVol")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"surface\": {\n \"benchmark_fwd_factors\": [\n 1.4658129805029452,\n 1.4658129805029452\n ],\n \"smiles\": [\n 9.301444243932576,\n 9.301444243932576\n ],\n \"benchmark_maturities\": [\n 5,\n 5\n ],\n \"vols\": [\n 2.027123023002322,\n 2.027123023002322\n ],\n \"call_wings\": [\n 5.637376656633329,\n 5.637376656633329\n ],\n \"reference_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_ref\": 3.616076749251911,\n \"put_wings\": [\n 2.3021358869347655,\n 2.3021358869347655\n ],\n \"skews\": [\n 7.061401241503109,\n 7.061401241503109\n ]\n },\n \"maturity\": 4,\n \"strikes\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"strike_type\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/Tradable/GetVol")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"surface\": {\n \"benchmark_fwd_factors\": [\n 1.4658129805029452,\n 1.4658129805029452\n ],\n \"smiles\": [\n 9.301444243932576,\n 9.301444243932576\n ],\n \"benchmark_maturities\": [\n 5,\n 5\n ],\n \"vols\": [\n 2.027123023002322,\n 2.027123023002322\n ],\n \"call_wings\": [\n 5.637376656633329,\n 5.637376656633329\n ],\n \"reference_date\": \"2000-01-23T04:56:07.000+00:00\",\n \"spot_ref\": 3.616076749251911,\n \"put_wings\": [\n 2.3021358869347655,\n 2.3021358869347655\n ],\n \"skews\": [\n 7.061401241503109,\n 7.061401241503109\n ]\n },\n \"maturity\": 4,\n \"strikes\": [\n 6.027456183070403,\n 6.027456183070403\n ],\n \"strike_type\": 0\n}"
response = http.request(request)
puts response.read_body{
"vols": [
6.027456183070403,
6.027456183070403
],
"strike_type": 0
}Authorizations
oauth2apikey
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Available options:
Derivitec.Web.Core.Tradables.ApiGetVolRequest, Derivitec.Web.Core - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
Show child attributes
Show child attributes
Example:
{
"benchmark_fwd_factors": [1.4658129805029452, 1.4658129805029452],
"smiles": [9.301444243932576, 9.301444243932576],
"benchmark_maturities": [5, 5],
"vols": [2.027123023002322, 2.027123023002322],
"call_wings": [5.637376656633329, 5.637376656633329],
"reference_date": "2000-01-23T04:56:07.000+00:00",
"spot_ref": 3.616076749251911,
"put_wings": [2.3021358869347655, 2.3021358869347655],
"skews": [7.061401241503109, 7.061401241503109]
}
Was this page helpful?